Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #1100736

    Hello,
    I received the below error on my hosting platform after updating the theme (to 4.5.6). Do you know why this happened. The error does not show on the site (staging site for now) but it shows on the hosting dashboard. Do you know why this showed and what I can do to make it go away?

    PHP Fatal error: Uncaught TypeError: Argument 1 passed to avia_style_generator::__construct() must be an instance of avia_superobject, null given, called in /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-content/themes/enfold/functions-enfold.php on line 1766 and defined in /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-content/themes/enfold/framework/php/class-style-generator.php:114
    Stack trace:
    #0 /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-content/themes/enfold/functions-enfold.php(1766): avia_style_generator->__construct(NULL, false, false, false)
    #1 /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-includes/class-wp-hook.php(286): avia_generate_stylesheet(”)
    #2 /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(”, Array)
    #3 /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-includes/plugin.php(465): WP_Hook->do_action(Array)
    #4 /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-content/themes/enfold/framework/php/functi in /srv/bindings/9bed856b5f7c443f842262608ed4d5d6/code/wp-content/themes/enfold/framework/php/class-style-generator.php on line 114

    #1100895

    Hey leadingnorth,

    Which version of PHP are you running on the site? We recommend using 7.1 or higher.

    Best regards,
    Rikard

    #1101523

    We’re running 7.2

    #1101984

    Hi,

    Thanks for the info. Could you try updating the theme to the latest version (4.5.7) to see if that helps please? (Purchase code hidden if logged out) /#theme-update” title=”https://kriesi.at/documentation/enfold/ (Purchase code hidden if logged out) /#theme-update”>https://kriesi.at/documentation/enfold/ (Purchase code hidden if logged out) /#theme-update

    Best regards,
    Rikard

    #1103063

    Hi Rikard,

    We updated to 4.5.7 and but we still got the same error. Any other suggestions?

    #1103308

    Hi leadingnorth,

    Do you know when the error occurs? Do you know how to reproduce the issue?

    Best regards,
    Victoria

    #1103350

    Hi Victoria, we use a hosting provider called Pantheon, and the error showed up on the development site dashboard when we copied down the database from the live site so we could push the theme update upstream. It’s quite nerve-wracking.

    #1104588

    Hi,

    The web site works properly, correct?
    If that is the case – then the issue might be coming from the Platform that is been used for the debuging.
    We do need more information for this to be honest.

    Best regards,
    Basilis

Viewing 8 posts - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.